Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.ormapping
Class BlobMapping

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
            |
            +--com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
                  |
                  +--com.solarmetric.kodo.impl.jdbc.ormapping.LobMapping
                        |
                        +--com.solarmetric.kodo.impl.jdbc.ormapping.BlobMapping

All Implemented Interfaces:
  LoadSecondary, PrimaryTable, StorePrimary

Direct Known Subclasses:
  ExplicitBlobMapping, OracleBlobMapping

public class BlobMapping
extends LobMapping

Represents the mapping of a BLOB column in the owning class' primary table. BLOBs are loaded and stored as secondary mappings for efficiency and due to the special handling needed to deal with them.

Fields inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.LobMapping
`REF_COL`

Fields inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
`COL_INDEX, COL_LENGTH, DATA_COL, EMPTY_COLUMNS`

Fields inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
`_loc, _log, CUSTOM_MAPPING, dict, MAPPING, TABLE`

Constructor Summary
`BlobMapping()`

Method Summary
`protected boolean` | `canMap(FieldMetaData fmd, ClassResolver resolver)` Return true if this mapping type can handle the given field, false otherwise.
`protected int` | `getSQLType()` Returns the SQLType code for this concrete LOB implementation.

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.LobMapping
`appendIsEmpty, appendIsNotNull, appendIsNull, delete, getColumns, getKeyColumns, getLoadResultSet, getPKColumns, getRefColumns, insert, install, join, joinKey, joinKeyRelation, joinRelation, load, select, setPKColumns, setRefColumns, update`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
`addColumn, addPKColumns, compareToNull, getDataColumns, getDataStoreValue, getInstance, getInstance, getKeyDataStoreValue, getMetaData, join, setDataColumns`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
`checkExtension, createMapping, createMapping, createMappings, createMappings, getClassName, getConfiguration, getDictionary, getFieldMapping, getInstance, getTable, install`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlobMapping

    public BlobMapping()

Method Detail

### getSQLType

    protected int getSQLType()

  Description copied from class: `LobMapping`
  Returns the SQLType code for this concrete LOB implementation.
  Overrides:
    `getSQLType` in class `LobMapping`

### canMap

    protected boolean canMap(FieldMetaData fmd,
                             ClassResolver resolver)

  Description copied from class: `FieldMapping`
  Return true if this mapping type can handle the given field, false otherwise. Note that this method cannot rely on the existance of other Mappings, as it is used in bootstrapping.
  Overrides:
    `canMap` in class `LobMapping`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.